package com.adobe.media
{
	public class Projection
	{
		public static const DATA_PER_VERTEX:int = 5;

		protected var vertices:Vector.<Number> = new Vector.<Number>();
		protected var indices:Vector.<uint> = new Vector.<uint>();
		
		public function Projection():void 
		{
			generateVertices();
			generateIndices();
		}
		
		public function getVertices():Vector.<Number> { return vertices; }
		public function getIndices():Vector.<uint> { return indices; }
		
		protected function generateVertices():void 
		{
			vertices.push(
			//   x,  y,  z,  u, v
				 1,  1,  0,  1, 0,
				-1,  1,  0,  0, 0,
				-1, -1,  0,  0, 1,
				 1, -1,  0,  1, 1
			);		
		} 
		protected function generateIndices():void 
		{
			indices.push(0, 3, 2, 2, 1, 0);
		}
	}
}